aboutsummaryrefslogtreecommitdiffstats
path: root/models-sim/models-sim-dmaap/src/main/resources/startDmaap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'models-sim/models-sim-dmaap/src/main/resources/startDmaap.sh')
-rw-r--r--models-sim/models-sim-dmaap/src/main/resources/startDmaap.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/models-sim/models-sim-dmaap/src/main/resources/startDmaap.sh b/models-sim/models-sim-dmaap/src/main/resources/startDmaap.sh
new file mode 100644
index 000000000..1d04e7cb4
--- /dev/null
+++ b/models-sim/models-sim-dmaap/src/main/resources/startDmaap.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+#
+# ============LICENSE_START=======================================================
+# ONAP Policy Models
+# ================================================================================
+# Copyright (C) 2019 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+#
+
+#
+# Starts the DMaaP simulator using the default configuration.
+#
+
+trap 'exit 1' ERR
+
+cd ${0%/*}/..
+
+java -cp "lib/*" \
+ org.onap.policy.models.sim.dmaap.startstop.Main -c etc/DefaultConfig.json